package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdAccperiodmonth;
import com.dhcc.finance.main.domain.CwBdAccperiodmonthExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdAccperiodmonthMapper {
    long countByExample(CwBdAccperiodmonthExample example);

    int deleteByExample(CwBdAccperiodmonthExample example);

    int deleteByPrimaryKey(String pkAccperiodmonth);

    int insert(CwBdAccperiodmonth record);

    int insertSelective(CwBdAccperiodmonth record);

    List<CwBdAccperiodmonth> selectByExample(CwBdAccperiodmonthExample example);

    CwBdAccperiodmonth selectByPrimaryKey(String pkAccperiodmonth);

    int updateByExampleSelective(@Param("record") CwBdAccperiodmonth record, @Param("example") CwBdAccperiodmonthExample example);

    int updateByExample(@Param("record") CwBdAccperiodmonth record, @Param("example") CwBdAccperiodmonthExample example);

    int updateByPrimaryKeySelective(CwBdAccperiodmonth record);

    int updateByPrimaryKey(CwBdAccperiodmonth record);
    /**
     * 根据年份查询该表数据
     * @param pkAccperiod
     * @return List<CwBdAccperiodmonth>
     *@author huangpeng
     *@date 2019年3月27日 下午2:03:44
     *@修改日志：
     */
    List<CwBdAccperiodmonth> selectBy(@Param("pkAccperiod")String pkAccperiod);
}